/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
#include "sample.h"

int func(int n) {
   printf("n in func() = %d\n", n);
   return 0;
}

int main () {
   double d1, d2;
   int ret;

   d1 = sin(3.0);
   d2 = hypot(3, 4);
   printf("sin(3) = %f\n", d1);
   printf("hypot(3,4) = %f\n", d2);

   d1 = func1(3.0);
   d2 = func2(3, 4);
   printf("func1(3) = %f\n", d1);
   printf("func2(3,4) = %f\n", d2);
   
   ret = func3(func, 10);
   printf("ret = %d\n", ret);
}

